package com.huigou.topsun.proofing.domain.proofingMake.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * title: 样品制作单数据传SAP接口
 * author:ZHT
 * date:2024/1/8
 * description:
 */
@Data
public class ProofingMakeReturn implements Serializable {
    /**
     * 产品编码
     */
    @JsonProperty("MATNR")
    private String productCode;

    /**
     * 产品名称
     */
    @JsonProperty(value = "MAKTX",required = true)
    private String productName;

    /**
     * 产品数量
     */
    @JsonProperty(value = "BMENG",required = true)
    private String productNumber;

    /**
     * 产品计量单位
     */
    @JsonProperty(value = "BMEIN",required = true)
    private String productUnit;

    /**
     * BOM有效起始日期
     */
    @JsonProperty(value = "DATUV",required = true)
    private Date productDatuy;

    /**
     * ECN号
     */
    @JsonProperty(value = "AENNR",required = true)
    private String productAennr;

    /**
     * 单层厚(单位丝)
     */
    @JsonProperty(value = "ZDCH",required = true)
    private Integer productSingleLayer;

    /**
     * 单重(单位KG)
     */
    @JsonProperty(value = "ZDANZ",required = true)
    private Double productSingleWeight;

    /**
     * 行数
     */
    @JsonProperty(value = "ZPBHS",required = true)
    private Integer rowNum;

    /**
     * 派工倍数
     */
    @JsonProperty(value = "ZPGBS",required = true)
    private Integer dispatchMultiple;
//
//    /**
//     * 物料ID
//     */
//    @JsonProperty(value = "IDNRK",required = true)
//    private String materialId;
//
//    /**
//     * 物料数量
//     */
//    @JsonProperty(value = "MENGE",required = true)
//    private Integer materialNumber;
//
//    /**
//     * 组件计量单位
//     */
//    @JsonProperty(value = "MEINS",required = true)
//    private String proofingMakeBomMeins;
//
//    /**
//     * 组件报废百分比
//     */
//    @JsonProperty(value = "AUSCH",required = true)
//    private Double proofingMakeBomAusch;
//
//    /**
//     * BOM项目文本(行1)
//     */
//    @JsonProperty(value = "POTX1",required = true)
//    private String proofingMakeBomText;
//
//    /**
//     * 物料清单项目文本(行2)
//     */
//    @JsonProperty(value = "POTX2",required = true)
//    private String proofingMakeBomMaterialText;
//
//    /**
//     * 替代组
//     */
//    @JsonProperty(value = "ALPGR",required = true)
//    private String proofingMakeBomAlpgr;
//
//    /**
//     * 替代优先级
//     */
//    @JsonProperty(value = "ALPRF",required = true)
//    private Integer proofingMakeBomAlprf;
//
//    /**
//     * 策略
//     */
//    @JsonProperty(value = "ALPST",required = true)
//    private String proofingMakeBomAlpst;
//
//    /**
//     * 使用概率
//     */
//    @JsonProperty(value = "EWAHR",required = true)
//    private Long proofingMakeBomEwahr;

    /**
     * 更新标识
     */
    @JsonProperty(required = true)
    private String  UPDKZ;

    /**
     * bom结点
     */
    private ProofingMakeBom[] BOMItems;

}
